Package net.shibboleth.shared.net

# Enum Class CookieManager.SameSiteValue

java.lang.Object
java.lang.Enum<CookieManager.SameSiteValue>
net.shibboleth.shared.net.CookieManager.SameSiteValue

All Implemented Interfaces:
  `Serializable`, `Comparable<CookieManager.SameSiteValue>`, `Constable`

Enclosing class:
  CookieManager

public static enum CookieManager.SameSiteValue extends Enum<CookieManager.SameSiteValue>
The allowed same-site cookie attribute values.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Lax`
Send the cookie for 'same-site' requests along with 'cross-site' top level navigations using safe HTTP methods (GET, HEAD, OPTIONS, and TRACE).
`None`
Send the cookie for 'same-site' and 'cross-site' requests.
`Null`
Specify nothing.
`Strict`
Send the cookie for 'same-site' requests only.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`value`
The same-site attribute value.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SameSiteValue(String attrValue)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Get the same-site attribute value.
`static CookieManager.SameSiteValue`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CookieManager.SameSiteValue[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Strict

public static final CookieManager.SameSiteValue Strict
Send the cookie for 'same-site' requests only.

### Lax

public static final CookieManager.SameSiteValue Lax
Send the cookie for 'same-site' requests along with 'cross-site' top level navigations using safe HTTP methods (GET, HEAD, OPTIONS, and TRACE).

### None

public static final CookieManager.SameSiteValue None
Send the cookie for 'same-site' and 'cross-site' requests.

### Null

public static final CookieManager.SameSiteValue Null
Specify nothing.

## Field Details

### value

@Nonnull @NotEmpty private String value
The same-site attribute value.

## Constructor Details

### SameSiteValue

private SameSiteValue(@Nonnull @NotEmpty String attrValue)
Constructor.

Parameters:
  `attrValue` - the same-site attribute value.

## Method Details

### values

public static CookieManager.SameSiteValue[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CookieManager.SameSiteValue valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

@Nonnull public String getValue()
Get the same-site attribute value.

Returns:
  Returns the value.